import GLOOP.*;
public class Weihnachtsbaumszene{
    private GLKamera kamera;
    private GLObjekt licht, boden, himmel;
    private GLTastatur tastatur;
    private GLMaus maus;

    private Baum derBaum;
    private Schmuck[] derSchmuck;

    public Weihnachtsbaumszene(){
        kamera = new GLSchwenkkamera(800,600);
        kamera.setzePosition(0,400,1000);
        kamera.setzeBlickpunkt(0,300,0);
        licht  = new GLLicht();
        boden  = new GLBoden("Schnee.jpg"); 
        himmel = new GLHimmel("Himmel.jpg");
        tastatur = new GLTastatur();

        derBaum = new Baum();

        derSchmuck = new Schmuck[50];
        for (int i=0; i<50; i++){
            int z = (int)(Math.random()*3);
            if (z==0) derSchmuck[i] = new Ring();
            if (z==1) derSchmuck[i] = new Box();
            if (z==2) derSchmuck[i] = new Kugel();
        }

        fuehreAus();
    }

    public void fuehreAus(){

        while (!tastatur.esc()){
            if (tastatur.oben())
                for (int i=0; i<50; i++) derSchmuck[i].aufschmuecken();
            if (tastatur.unten())
                for (int i=0; i<50; i++) derSchmuck[i].abschmuecken();
            Sys.warte();
        }
        Sys.beenden();
    }
    
}
